## smtube 1.8

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/smplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/smtube
DOC_PATH=$(PREFIX)/share/doc/smtube
TRANSLATION_PATH=$(PREFIX)/share/smtube/translations

KDE_PREFIX=$(PREFIX)
KDE_ICONS=$(KDE_PREFIX)/share/icons/hicolor/
KDE_APPLNK=$(KDE_PREFIX)/share/applications/

QMAKE=qmake
LRELEASE=lrelease

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\"

src/smtube:
#	./get_svn_revision.sh
	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
	cd src && $(LRELEASE) smtube.pro

clean:
	if [ -f src/Makefile ]; then cd src && make distclean; fi
	-rm src/translations/smtube_*.qm

install: src/smtube
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/smtube $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)

	-install -d $(DESTDIR)$(KDE_ICONS)/256x256/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/128x128/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/64x64/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/48x48/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/32x32/apps/
	-install -d $(DESTDIR)$(KDE_ICONS)/16x16/apps/
	install -m 644 src/icons/logo.png $(DESTDIR)$(KDE_ICONS)/256x256/apps/smtube.png
	install -m 644 icons/smtube_128.png $(DESTDIR)$(KDE_ICONS)/128x128/apps/smtube.png
	install -m 644 icons/smtube_64.png $(DESTDIR)$(KDE_ICONS)/64x64/apps/smtube.png
	install -m 644 icons/smtube_48.png $(DESTDIR)$(KDE_ICONS)/48x48/apps/smtube.png
	install -m 644 icons/smtube_32.png $(DESTDIR)$(KDE_ICONS)/32x32/apps/smtube.png
	install -m 644 icons/smtube_16.png $(DESTDIR)$(KDE_ICONS)/16x16/apps/smtube.png
	-install -d $(DESTDIR)$(KDE_APPLNK)
	install -m 644 smtube.desktop $(DESTDIR)$(KDE_APPLNK)
#	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
#	install -m 644 man/smtube.1 $(DESTDIR)$(PREFIX)/share/man/man1/
#	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/smtube.1

uninstall:
	-rm -f $(PREFIX)/bin/smtube
	-rm -f $(TRANSLATION_PATH)/*.qm
	-rm -f $(DOC_PATH)/Changelog
	-rm -f $(DOC_PATH)/*.txt
	-rm -f $(DESTDIR)$(KDE_ICONS)/256x256/apps/smtube.png
	-rm -f $(DESTDIR)$(KDE_ICONS)/128x128/apps/smtube.png
	-rm -f $(DESTDIR)$(KDE_ICONS)/64x64/apps/smtube.png
	-rm -f $(DESTDIR)$(KDE_ICONS)/48x48/apps/smtube.png
	-rm -f $(DESTDIR)$(KDE_ICONS)/32x32/apps/smtube.png
	-rm -f $(DESTDIR)$(KDE_ICONS)/16x16/apps/smtube.png
	-rm -f $(KDE_APPLNK)/smtube.desktop
#	-rm -f $(PREFIX)/share/man/man1/smtube.1.gz
	-rmdir $(TRANSLATION_PATH)/

=== debian/changelog ===
smtube (1.8-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Oct 2013 17:16:56 +0100

smtube (1.6-1) experimental; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Apr 2013 00:30:34 +0200

smtube (1.5-1) experimental; urgency=low

  * Initial release. (Closes: #700493)

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Feb 2013 11:48:44 +0000

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libqt4-dev (>= 4.3),
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://smplayer.sourceforge.net/smtube.php
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smtube.git

Package: smtube
Architecture: any
Depends:
 smplayer | mplayer2 | mplayer | vlc | totem | gnome-mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as MPlayer, MPlayer2, VLC, Totem or Gnome-MPlayer.

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake-qt4 LRELEASE=lrelease-qt4 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smtube\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smtube
	rm -f debian/smtube/usr/share/doc/smtube/Copying*

%:
	dh $@

## smtube 2.1

=== debian/changelog ===
smtube (2.1-2) unstable; urgency=medium

  * Add mpv as optional dependency. (Closes: #752590)

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Jul 2014 16:13:26 +0100

smtube (2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix VCS field. (Closes: #722434)
  * Update copyright holders of debian/* files.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 30 Mar 2014 19:03:04 +0100

## smtube 14.8.0

=== debian/changelog ===
smtube (14.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Sep 2014 16:12:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
  debhelper (>= 9~),
  libqt4-dev (>= 4.3),
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://smplayer.sourceforge.net/smtube.php
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smplayer.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smtube.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smtube.git
 
 Package: smtube
 Architecture: any
 Depends:
- smplayer | mplayer2 | mplayer | vlc | totem | gnome-mplayer,
+ smplayer | mplayer2 | mpv | mplayer | vlc | totem | gnome-mplayer,
  ${misc:Depends},
  ${shlibs:Depends}
 Description: YouTube videos browser

## smtube 15.5.10

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	-install -d $(DESTDIR)$(KDE_ICONS)/48x48/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/32x32/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/16x16/apps/
-	install -m 644 src/icons/logo.png $(DESTDIR)$(KDE_ICONS)/256x256/apps/smtube.png
+	install -m 644 icons/smtube_256.png $(DESTDIR)$(KDE_ICONS)/256x256/apps/smtube.png
 	install -m 644 icons/smtube_128.png $(DESTDIR)$(KDE_ICONS)/128x128/apps/smtube.png
 	install -m 644 icons/smtube_64.png $(DESTDIR)$(KDE_ICONS)/64x64/apps/smtube.png
 	install -m 644 icons/smtube_48.png $(DESTDIR)$(KDE_ICONS)/48x48/apps/smtube.png

=== debian/changelog ===
smtube (15.5.10-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:44:04 +0000

smtube (15.5.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release [May 2015] (Closes: #785142).
  * Switch to QT5.
  * Build-Depends:
    - libqt4-dev (>= 4.3)
    + libqt5webkit5-dev
    + qttools5-dev-tools
    + qtscript5-dev
  * Added new "hardening.patch".
  * rules: remove upstream Changelog, if empty.
  * Updated Vcs-Browser URL.
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 May 2015 19:38:34 +1000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: smtube
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 9~),
- libqt4-dev (>= 4.3),
+ libqt5webkit5-dev,
+ qttools5-dev-tools,
+ qtscript5-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://smplayer.sourceforge.net/smtube.php
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smtube.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/smtube.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/smtube.git
 
 Package: smtube
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/smplayer/smtube-([0-9][^r]*)\.tar\.bz2

## smtube 17.5.0

=== OBS/Makefile ===
# This Makefile creates some files necessary to build
# deb packages at build.opensuse.org

PACKAGE = smtube
VERSION = 17.5.0
#DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, libqt5webkit5-dev
DEPENDS = debhelper (>= 5.0.0), libqt4-dev, libqtwebkit-dev

DSC_FILE = $(PACKAGE).dsc
DEBIAN_FILE = debian.tar.gz

all: $(DEBIAN_FILE) $(DSC_FILE)

$(DEBIAN_FILE): Makefile
	svn export ../debian-rvm debian
	mv debian/changelog-orig debian/changelog
	tar -cvzf $(DEBIAN_FILE) debian/

$(DSC_FILE): Makefile
	echo "Format: 1.0" > $(DSC_FILE)
	echo "Source: $(PACKAGE)" >> $(DSC_FILE)
	echo "Binary: $(PACKAGE)" >> $(DSC_FILE)
	echo "Architecture: any" >> $(DSC_FILE)
	echo "Version: $(VERSION)" >> $(DSC_FILE)
	echo "Maintainer: Ricardo Villalba <rvm@users.sourceforge.net>" >> $(DSC_FILE)
	echo "Standards-Version: 3.7.2" >> $(DSC_FILE)
	echo "Build-Depends: $(DEPENDS)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-TAR: $(PACKAGE)-$(VERSION).tar.bz2" >> $(DSC_FILE)
	echo "DEBTRANSFORM-FILES-TAR: $(DEBIAN_FILE)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-RELEASE: 1" >> $(DSC_FILE)

clean:
	- rm debian/*
	- rmdir debian
	- rm $(DEBIAN_FILE) $(DSC_FILE)

=== debian/changelog ===
smtube (17.5.0-0obs.2) obs; urgency=medium

  * Add dragonplayer, gnome-mpv, and qmplay2 to the list of media player
    alternatives.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Jul 2017 14:04:11 -0700

smtube (17.5.0-0obs.1) obs; urgency=medium

  * Add some alternatives in the control file so it builds against Qt 5 if 5.6+
    is available, Qt 4 otherwise.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Jul 2017 16:33:27 -0700

smtube (17.5.0-0obs) jessie; urgency=medium

  * New upstream release:
    - Fix for VEVO videos yet again.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 May 2017 10:16:13 -0700

smtube (17.1.0-0mx150+1) mx; urgency=medium

  * New upstream release:
    - Fix for VEVO videos again.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Feb 2017 11:36:00 -0800

smtube (16.7.2-0mx150+1) mx; urgency=medium

  * New upstream release:
    - Fix for VEVO videos.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 17 Aug 2016 15:17:42 -0700

smtube (16.6.0-0mx150+1) mx; urgency=medium

  * New upstream release:
   - Build by default with Qt 5.
   - Enable high DPI scaling. (note that this doesn't work with the Qt 5 5.3.2
     in Jessie)
   - Replace ' with \' in the translation texts for the javascript code.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 19 Jun 2016 12:19:45 -0700

smtube (16.3.0-0mx150+1) mx; urgency=medium

  * New upstream release:
    - Add an option to select the application style.
    - Add an option in the settings dialog to select the application font.
    - Add options to zoom in and out.
    - Disable search using the location field.
    - Add an option in the config dialog to use an external service (website)
      to download videos.
    - Add option "This player can play online TV" in the player dialog.
  * Refresh hardening.patch.  

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 07 Mar 2016 17:04:09 -0800

smtube (16.1.0-1mx150+1) mx; urgency=medium

  * New upstream release:
    - Fix the signature code.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 16 Jan 2016 11:33:02 -0800

smtube (15.11.0-1mx150+1) mx; urgency=medium

  * New upstream release:
    - Fix for VEVO videos.
    - Add support for YouTube live streams.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 07 Dec 2015 14:39:51 -0800

smtube (15.9.0-1mcr120+1) mepis; urgency=medium

  * New upstream release:
    - Check if the window is outside of the screen. In that case move it to 0x0.
    - Fix the 'can't find URL' error when using Qt 5.
    - Apply patch smtube-gmake.diff
      (https://sourceforge.net/p/smplayer/bugs/701/)
    - Don't use cache with PORTABLE_APP


 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 09 Oct 2015 12:54:26 -0700

smtube (15.8.0-1mcr110+1) mepis; urgency=low

  * Rebuild for MEPIS 11 community repository.
  * debian/control: drop zlib1g-dev build-dep, use Qt 4 for M11.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 10 Sep 2015 15:34:48 -0700

smtube (15.8.0-1mcr120+1) mepis; urgency=low

  * New upstream release:
    - Add the Turkish and Hungarian translations.
    - New option for the config file: use_cookies. If set to false
      then the cookies won't be loaded or saved.
    - Add a combobox in PlayerDialog for the quality.
    - New and experimental code to get the youtube URLs.
    - Add menu Navigate.
    - Add the load home action to the navigate menu.
    - Add player 'smplayer (audio)'.
    - Option to select the menu where a player should be.
    - Use .m4a for extension for audio.
    - Possibility to play only the audio.
    - Add a button in the settings dialog to add the predefined players to
      the list of players.
  * debian/rules: compress deb packages with xz.
  * Refresh hardening patch in debian/patches.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 10 Sep 2015 11:50:57 -0700

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 qt5-default (>= 5.6) | libqt4-dev (>= 4.6),
 libqt5webkit5-dev (>= 5.6) | libqtwebkit-dev,
 qttools5-dev-tools (>= 5.6) | libqt4-dev (>= 4.6),
 qtscript5-dev (>= 5.6) | libqt4-dev (>= 4.6)
Standards-Version: 3.9.6
Homepage: http://smplayer.sourceforge.net/smtube.php
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smtube.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/smtube.git

Package: smtube
Architecture: any
Depends:
 smplayer | mpv | mplayer | vlc | totem | gnome-mpv | gnome-mplayer | qmplay2 | dragonplayer | mplayer2,
 ${misc:Depends},
 ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as MPlayer, MPlayer2, MPV, VLC, Totem or Gnome-MPlayer.

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smtube\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smtube
	$(RM) -v debian/smtube/usr/share/doc/smtube/Copying*
	## remove Changelog, if empty:
	[ -s debian/smtube/usr/share/doc/smtube/Changelog ] || $(RM) -v debian/smtube/usr/share/doc/smtube/Changelog

%:
	dh $@ --parallel

## smtube 18.3.0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smtube
-VERSION = 17.5.0
+VERSION = 18.3.0
 #DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, libqt5webkit5-dev
 DEPENDS = debhelper (>= 5.0.0), libqt4-dev, libqtwebkit-dev

=== debian/changelog ===
smtube (18.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ James Cowgill ]
  * New upstream version 18.3.0
    - Preferred Quality setting was fixed. (Closes: #797498)
    - SMTube can't find video URL was fixed. (Closes: #797500)

  [ Pavel Rehak ]
  * Update debian/copyright
  * Add dragonplayer as optional dependency.
  * Debhelper: 10
  * Add manpage
  * Update hardening.patch
  * Standards-Version: 4.1.4
  * Add SMTube source to watch file
  * Add uploader
  * Remove mplayer2 and gnome-mplayer as optional dependency.
  * Update package description.

 -- Pavel Rehak <pavel-rehak@email.cz>  Wed, 27 Jun 2018 19:39:11 +0200

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Pavel Rehak <pavel-rehak@email.cz>
Build-Depends:
 debhelper (>= 10~),
 libqt5webkit5-dev,
 qttools5-dev-tools,
 qtscript5-dev,
 zlib1g-dev
Standards-Version: 4.1.4
Homepage: http://smplayer.sourceforge.net/smtube.php
Vcs-Git: https://salsa.debian.org/multimedia-team/smtube.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smtube

Package: smtube
Architecture: any
Depends:
 smplayer | mpv | mplayer | vlc | totem | dragonplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as mpv, MPlayer, VLC, Totem or Dragon Player.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export QT_SELECT=5
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = PREFIX=/usr QMAKE_OPTS="$(QMAKE_OPTS)"
 
@@ -16,5 +17,4 @@
 	[ -s debian/smtube/usr/share/doc/smtube/Changelog ] || $(RM) -v debian/smtube/usr/share/doc/smtube/Changelog
 
 %:
-	dh $@ --parallel
-
+	dh $@

=== debian/watch ===
version=4
#http://sf.net/smplayer/smtube-([0-9][^r]*)\.tar\.bz2
http://sf.net/smtube/smtube-([0-9][^r]*)\.tar\.bz2

## smtube 18.11.0

=== debian/changelog ===
smtube (18.11.0-0.1~mx15+1) mx; urgency=medium

  * New upstream release, changes since 18.3.0:
    - New option in the context menu to play the video with a web browser.
      The web browser may allow you to download the video.
    - Fix Youtube.
  
  * Update debian/copyright.
  * Refresh hardening.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Nov 2018 15:12:15 -0800

smtube (18.3.0-1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Fix the option "open audio with".

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Apr 2018 12:29:22 -0700

smtube (18.1.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Fix Youtube.
    - Add the Catalan translation.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Jan 2018 11:16:55 -0800

smtube (17.5.0-0mx17+1) mx; urgency=medium

  * Build against Qt 5.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Jul 2017 15:22:00 -0700

smtube (17.5.0-0mx150+1) mx; urgency=medium

  * New upstream release:
    - Fix for VEVO videos yet again.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 May 2017 10:16:13 -0700

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libqt5webkit5-dev,
 qttools5-dev-tools,
 qtscript5-dev
Standards-Version: 3.9.6
Homepage: http://smplayer.sourceforge.net/smtube.php
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smtube.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/smtube.git

Package: smtube
Architecture: any
Depends:
 smplayer | mplayer2 | mpv | mplayer | vlc | totem | gnome-mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as MPlayer, MPlayer2, MPV, VLC, Totem or Gnome-MPlayer.

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,5 @@
 	[ -s debian/smtube/usr/share/doc/smtube/Changelog ] || $(RM) -v debian/smtube/usr/share/doc/smtube/Changelog
 
 %:
-	dh $@
+	dh $@ --parallel
+

## smtube 19.6.0

=== debian/changelog ===
smtube (19.6.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release, changes since 18.11.0:
    - Fix the Youtube code.
  
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Jun 2019 17:58:42 -0700

## smtube 20.1.0

=== debian/changelog ===
smtube (20.1.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Fix the Youtube code.

  * Update debian/copyright.
  
 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jan 2020 14:14:57 -0800

## smtube 20.6.0%2B2.1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 KDE_APPLNK=$(KDE_PREFIX)/share/applications/
 
 QMAKE=qmake
+MAKE=make
 LRELEASE=lrelease
 
 DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
@@ -21,11 +22,11 @@
 
 src/smtube:
 #	./get_svn_revision.sh
-	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
+	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) $(MAKE) 
 	cd src && $(LRELEASE) smtube.pro
 
 clean:
-	if [ -f src/Makefile ]; then cd src && make distclean; fi
+	if [ -f src/Makefile ]; then cd src && $(MAKE) distclean; fi
 	-rm src/translations/smtube_*.qm
 
 install: src/smtube

## smtube 20.6.0+2.1

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smtube
-VERSION = 18.3.0
+VERSION = 20.6.0
 #DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, libqt5webkit5-dev
 DEPENDS = debhelper (>= 5.0.0), libqt4-dev, libqtwebkit-dev
 
@@ -12,7 +12,7 @@
 all: $(DEBIAN_FILE) $(DSC_FILE)
 
 $(DEBIAN_FILE): Makefile
-	svn export ../debian-rvm debian
+	svn export ../debian-orig debian
 	mv debian/changelog-orig debian/changelog
 	tar -cvzf $(DEBIAN_FILE) debian/

## smtube 21.7.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
      DOC_PATH=\\\"$(DOC_PATH)\\\"
 
 src/smtube:
-#	./get_svn_revision.sh
+	./get_svn_revision.sh
 	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) $(MAKE) 
 	cd src && $(LRELEASE) smtube.pro
 
@@ -36,7 +36,7 @@
 	-install -d $(DESTDIR)$(TRANSLATION_PATH)
 	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
 	-install -d $(DESTDIR)$(DOC_PATH)
-	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)
+	install -m 644 Release_notes.md *.txt $(DESTDIR)$(DOC_PATH)
 
 	-install -d $(DESTDIR)$(KDE_ICONS)/256x256/apps/
 	-install -d $(DESTDIR)$(KDE_ICONS)/128x128/apps/

=== OBS/Makefile ===
# This Makefile creates some files necessary to build
# deb packages at build.opensuse.org

PACKAGE = smtube
VERSION = 21.7.0
#DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, libqt5webkit5-dev
DEPENDS = debhelper (>= 5.0.0), libqt4-dev, libqtwebkit-dev

DSC_FILE = $(PACKAGE).dsc
DEBIAN_FILE = debian.tar.gz

all: $(DEBIAN_FILE) $(DSC_FILE)

$(DEBIAN_FILE): Makefile
	svn export ../debian-orig debian
	mv debian/changelog-orig debian/changelog
	tar -cvzf $(DEBIAN_FILE) debian/

$(DSC_FILE): Makefile
	echo "Format: 1.0" > $(DSC_FILE)
	echo "Source: $(PACKAGE)" >> $(DSC_FILE)
	echo "Binary: $(PACKAGE)" >> $(DSC_FILE)
	echo "Architecture: any" >> $(DSC_FILE)
	echo "Version: $(VERSION)" >> $(DSC_FILE)
	echo "Maintainer: Ricardo Villalba <ricardo@smplayer.info>" >> $(DSC_FILE)
	echo "Standards-Version: 3.9.7" >> $(DSC_FILE)
	echo "Build-Depends: $(DEPENDS)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-TAR: $(PACKAGE)-$(VERSION).tar.bz2" >> $(DSC_FILE)
	echo "DEBTRANSFORM-FILES-TAR: $(DEBIAN_FILE)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-RELEASE: 1" >> $(DSC_FILE)

clean:
	- rm -r debian/*
	- rmdir debian
	- rm $(DEBIAN_FILE) $(DSC_FILE)

=== setup/translations/po_files/Makefile ===
all: malay.po french.po hungarian.po basque.po danish.po simpchinese.po finnish.po norwegian_nn.po norwegian_nb.po hebrew.po russian.po croatian.po portuguese.po czech.po arabic.po thai.po portuguesebrazil.po albanian.po dutch.po galician.po ukrainian.po serbian.po bulgarian.po slovak.po spanish.po indonesian.po italian.po tradchinese.po korean.po japanese.po german.po catalan.po slovenian.po polish.po turkish.po greek.po

malay.po: english.pot
	msgmerge -F -U -N --backup=numbered malay.po english.pot

french.po: english.pot
	msgmerge -F -U -N --backup=numbered french.po english.pot

hungarian.po: english.pot
	msgmerge -F -U -N --backup=numbered hungarian.po english.pot

basque.po: english.pot
	msgmerge -F -U -N --backup=numbered basque.po english.pot

danish.po: english.pot
	msgmerge -F -U -N --backup=numbered danish.po english.pot

simpchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered simpchinese.po english.pot

finnish.po: english.pot
	msgmerge -F -U -N --backup=numbered finnish.po english.pot

norwegian_nn.po: english.pot
	msgmerge -F -U -N --backup=numbered norwegian_nn.po english.pot

norwegian_nb.po: english.pot
	msgmerge -F -U -N --backup=numbered norwegian_nb.po english.pot

hebrew.po: english.pot
	msgmerge -F -U -N --backup=numbered hebrew.po english.pot

russian.po: english.pot
	msgmerge -F -U -N --backup=numbered russian.po english.pot

croatian.po: english.pot
	msgmerge -F -U -N --backup=numbered croatian.po english.pot

portuguese.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguese.po english.pot

czech.po: english.pot
	msgmerge -F -U -N --backup=numbered czech.po english.pot

arabic.po: english.pot
	msgmerge -F -U -N --backup=numbered arabic.po english.pot

thai.po: english.pot
	msgmerge -F -U -N --backup=numbered thai.po english.pot

portuguesebrazil.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguesebrazil.po english.pot

albanian.po: english.pot
	msgmerge -F -U -N --backup=numbered albanian.po english.pot

dutch.po: english.pot
	msgmerge -F -U -N --backup=numbered dutch.po english.pot

galician.po: english.pot
	msgmerge -F -U -N --backup=numbered galician.po english.pot

ukrainian.po: english.pot
	msgmerge -F -U -N --backup=numbered ukrainian.po english.pot

serbian.po: english.pot
	msgmerge -F -U -N --backup=numbered serbian.po english.pot

bulgarian.po: english.pot
	msgmerge -F -U -N --backup=numbered bulgarian.po english.pot

slovak.po: english.pot
	msgmerge -F -U -N --backup=numbered slovak.po english.pot

spanish.po: english.pot
	msgmerge -F -U -N --backup=numbered spanish.po english.pot

indonesian.po: english.pot
	msgmerge -F -U -N --backup=numbered indonesian.po english.pot

italian.po: english.pot
	msgmerge -F -U -N --backup=numbered italian.po english.pot

tradchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered tradchinese.po english.pot

korean.po: english.pot
	msgmerge -F -U -N --backup=numbered korean.po english.pot

japanese.po: english.pot
	msgmerge -F -U -N --backup=numbered japanese.po english.pot

german.po: english.pot
	msgmerge -F -U -N --backup=numbered german.po english.pot

catalan.po: english.pot
	msgmerge -F -U -N --backup=numbered catalan.po english.pot

slovenian.po: english.pot
	msgmerge -F -U -N --backup=numbered slovenian.po english.pot

polish.po: english.pot
	msgmerge -F -U -N --backup=numbered polish.po english.pot

turkish.po: english.pot
	msgmerge -F -U -N --backup=numbered turkish.po english.pot

greek.po: english.pot
	msgmerge -F -U -N --backup=numbered greek.po english.pot

clean:
	-rm *~

=== debian/changelog ===
smtube (21.7.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Alf Gaida ]
  * Bumped debhelper-compat to 12, no changes needed
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Bumped years in copyright to 2019
  * Refreshed hardening.patch

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sebastian Ramacher ]
  * New upstream version 21.7.0 (Closes: #947783)
  * debian/copyright: Update for 21.7.0
  * debian/patches: Refresh

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Oct 2021 10:17:36 +0200

smtube (18.9.0-1) unstable; urgency=medium

  * New upstream version 18.9.0.
  * Added myself to uploaders.
  * Bumped Standard-Version to 4.2.1, no changes needed
  * Bumped Compat to 11
  * Bumped dh to >= 11~
  * Fixed Hompage
  * Added debian/upstream/metadata - don't be upset, it is svn, so it is
    quite normal that smtube is a path within smplayer, same for the shared
    Bugtracker.
  * Compress with xz
  * Set language to C.UTF-8 in rules
  * Linker flags added, only link when needed.

 -- Alf Gaida <agaida@siduction.org>  Sat, 10 Nov 2018 21:06:25 +0100

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Pavel Rehak <pavel-rehak@email.cz>,
 Alf Gaida <agaida@siduction.org>
Build-Depends:
 debhelper-compat (= 13),
 libqt5webkit5-dev,
 qttools5-dev-tools,
 qtscript5-dev,
 zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://www.smtube.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/smtube.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/smtube

Package: smtube
Architecture: any
Depends:
 smplayer | mpv | mplayer | vlc | totem | dragonplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as mpv, MPlayer, VLC, Totem or Dragon Player.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+
+export LC_ALL=C.UTF-8
 
 export QT_SELECT=5
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
@@ -17,5 +20,4 @@
 	[ -s debian/smtube/usr/share/doc/smtube/Changelog ] || $(RM) -v debian/smtube/usr/share/doc/smtube/Changelog
 
 %:
-	dh $@ --parallel
-
+	dh $@

=== debian/watch ===
version=3
opts=compression=xz,repack \
https://sf.net/smtube/smtube-([0-9][^r]*)\.tar\.bz2

## smtube 21.10.0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smtube
-VERSION = 21.7.0
-#DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, libqt5webkit5-dev
+VERSION = 21.10.0
+#DEPENDS = debhelper (>= 5.0.0), qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, libqt5webkit5-dev, qt5-default | nano
 DEPENDS = debhelper (>= 5.0.0), libqt4-dev, libqtwebkit-dev
 
 DSC_FILE = $(PACKAGE).dsc

=== debian/changelog ===
smtube (21.10.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release: 
    - Possibility to use yt-dlp instead of youtube-dl.
    - yt-dlp is used now by default.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Nov 2021 14:49:17 -0800

smtube (21.7.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Possibility to use some invidious sites.

  * Refresh hardening patch.
  * Bump up to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Oct 2021 10:15:14 -0700

smtube (20.6.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - The internal YouTube code has been removed. Now SMTube uses an external
      application (youtube-dl)to get the video URLs.
    - Now it's possible to select the web site to use as homepage.

  * Refresh hardening patch.
  * Add youtube-dl as a dependency.
  * Fix my Maintainer listing in d/control.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Jun 2020 12:33:16 -0700

=== debian/control ===
Source: smtube
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 10.2~),
               libqt5webkit5-dev,
               qtscript5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: http://smplayer.sourceforge.net/smtube.php
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/smtube.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/smtube.git

Package: smtube
Architecture: any
Depends: smplayer | mplayer2 | mpv | mplayer | vlc | totem | gnome-mplayer,
         youtube-dl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: YouTube videos browser
 SMTube is a stand-alone graphical application which allows one
 to search and download Youtube videos. Although it is part of
 the SMPlayer project, it can be used with any multimedia player
 such as MPlayer, MPlayer2, MPV, VLC, Totem or Gnome-MPlayer.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-
-export LC_ALL=C.UTF-8
 
 export QT_SELECT=5
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
@@ -19,5 +16,8 @@
 	## remove Changelog, if empty:
 	[ -s debian/smtube/usr/share/doc/smtube/Changelog ] || $(RM) -v debian/smtube/usr/share/doc/smtube/Changelog
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@
